library(tidyverse)
library(hablar)
library(plyr)
library(skimr)
library(ggplot2)
library(gt)
library(gtsummary)
library(plyr)
library(ggpubr)
library(see) 
library(rstatix) 
library(EnvStats)
library(here)
library(tidyverse) 
library(psych)
library(janitor)


#creation of new object in order to maintain original as it is
metrics1<-metricstransposed

#checking the database
glimpse(metrics1)


#transforming to numerical values as it recognized them as characters


a1 <- as.numeric(metrics1$`1a`)

b1 <- as.numeric(metrics1$`1b`)

a1fig1 <- as.numeric(metrics1$`1a Fig2`)

A <- as.numeric(metrics1$A)

Ld <- as.numeric(metrics1$Ld)

v2 <- as.numeric(metrics1$v2)

AE <- as.numeric(metrics1$`A-E`)

GE <- as.numeric(metrics1$`G-E`)

AB <- as.numeric(metrics1$`A-B`)

AH <- as.numeric(metrics1$`A-H`)

AC <- as.numeric(metrics1$`A-C`)

BD <- as.numeric(metrics1$`B-D`)

FD <- as.numeric(metrics1$`F-D`)

age <- as.numeric(metrics1$age)

as.numeric(metrics1$`1a`)

as.numeric(metrics1$`1b`)

as.numeric(metrics1$`1a Fig2`)

as.numeric(metrics1$A)

as.numeric(metrics1$Ld)

as.numeric(metrics1$v2)

as.numeric(metrics1$`A-E`)

as.numeric(metrics1$`G-E`)

as.numeric(metrics1$`A-B`)

as.numeric(metrics1$`A-H`)

as.numeric(metrics1$`A-C`)

as.numeric(metrics1$`B-D`)

as.numeric(metrics1$`F-D`)

as.numeric(metrics1$age)

#checking the distribution employing the Shapiro Wilk test
shapiro.test(a1)

shapiro.test(b1)

shapiro.test(a1fig1)

shapiro.test(A)

shapiro.test(Ld)

shapiro.test(v2)

shapiro.test(AE)

shapiro.test(GE)

shapiro.test(AB)

shapiro.test(AH)

shapiro.test(AC)

shapiro.test(BD)

shapiro.test(FD)

shapiro.test(age)


#distribution evaluation based on graphical presentation
ggplot(metrics1, aes(x=Cadavers, y=a1))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=b1))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=a1fig1))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=A))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=Ld))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=v2))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=AE))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=GE))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=AB))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=AH))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=AC))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=BD))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=FD))+
  geom_boxplot()

ggplot(metrics1, aes(x=Cadavers, y=age))+
  geom_boxplot()

#calculating values based on the distribution mean or median and SD or IQR

metrics1%>%
  summarise(mean(a1), sd(a1))

describe(a1, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(b1), sd(b1))

describe(b1, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(a1fig1), sd(a1fig1))

describe(a1fig1, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(A), IQR(A))

describe(A, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(Ld), IQR(Ld))

describe(Ld, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(v2), IQR(v2))

describe(v2, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(AE), IQR(AE))

describe(AE, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(GE), sd(GE))

describe(GE, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(AB), sd(AB))

describe(AB, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(AH), sd(AH))

describe(AH, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(AC), sd(AC))

describe(AC, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(BD), IQR(BD))

describe(BD, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(mean(FD), sd(FD))

describe(FD, IQR=T, quant=c(.25,.75))

metrics1%>%
  summarise(median(BD), IQR(age))

describe(age, IQR=T, quant=c(.25,.75))


